# Exiv2::TiffDirectory Class Reference

This class models a TIFF directory (Ifd). It is a composite component of the TIFF tree. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffDirectory:

[legend]
Collaboration diagram for Exiv2::TiffDirectory:

[legend]
List of all members.

## Public Member Functions

Creators
| TiffDirectory (uint16_t tag, uint16_t group, bool hasNext=true)
| Default constructor.
virtual | ~TiffDirectory ()
| Virtual destructor.
Manipulators
bool | hasNext () const
| Return true if the directory has a next pointer.

## Friends

class | TiffPrinter

## Detailed Description

This class models a TIFF directory (Ifd). It is a composite component of the TIFF tree.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp